echo off
rem
rem   search calling sequence of current module.
rem
let @12=(ml(0)-014h)
let @11=reg(a6)
while 0<>@11
      let @@1=@11
      bat hlld68k2.cmd,PATH
      let !1=sym(@@2)
      if !1==""
         cput @@2,"( "
      else
         cput !1,"( "
      endi
      let @@1=ml(@11)
      if @@1<>0
         bat hlld68k2.cmd,PATH
         let @2=mw(@@2)
         if @2==4e56h
            let @2=mw(@@2+2)
            if @2<>0
               let @2=10000h-@2
               let @1=@@1-@2
            else
               let @1=@@1
            endi
         endi
      else
         let @1=@12
      endi
      let @3=@11+8
      while @3<@1
            let !2=ml(@3)
            let !2[8]=0
            cput !2," "
            let @3=@3+4
      endw
      cput ")\n"
      let @11=ml(@11)
endw
